# Type Alias ListSchedulesData

ListSchedulesData: {
args?: string;
isFlow?: boolean;
page?: number;
path?: string;
perPage?: number;
workspace: string;
}

#### Type declaration

- ##### `Optional` args?: string

  filter on jobs containing those args as a json subset (@> in postgres)

- ##### `Optional` isFlow?: boolean

- ##### `Optional` page?: number

  which page to return (start at 1, default 1)

- ##### `Optional` path?: string

  filter by path

- ##### `Optional` perPage?: number

  number of items to return for a given page (default 30, max 100)

- ##### workspace: string

- Defined in src/types.gen.ts:4418